io_uring_register_wait_reg(3)

NAME
io_uring_register_wait_reg - register wait regions with io_uring

SYNOPSIS
#include <liburing.h>

int io_uring_register_wait_reg(struct io_uring *ring,
                               struct io_uring_reg_wait *reg,
                               int nr);

DESCRIPTION

The io_uring_register_wait_reg(3) function registers wait regions with the io_uring instance specified by ring. The reg argument is a pointer to an array of struct io_uring_reg_wait of nr entries.

Wait regions allow registering timeout and signal mask information that can be reused across multiple wait operations without copying the data for each call. This is used in conjunction with io_uring_submit_and_wait_reg(3) to reduce the overhead of wait operations.

See io_uring_register_region(3) for registering the underlying memory region.

RETURN VALUE
Returns 0 on success. On error, a negative errno value is returned.

SEE ALSO
io_uring_submit_and_wait_reg(3), io_uring_register_region(3), io_uring_register(2)